#! /usr/bin/perl
use strict;
use warnings;
use DBI;
package nms::config;

# Don't change this file for your local setup; use config.local.pm instead.

our $db_name = "<removed>";
#our $db_host = "nms.tg11.gathering.org";
our $db_host = "vaenesta.tg11.gathering.org";
our $db_username = "<removed>";
our $db_password = "<removed>";

our $dhcp_server1 = "188.0.126.2";
our $dhcp_server2 = "188.0.125.2";

our $ios_user = "<removed>";
our $ios_pass = "<removed>";

# Tech:Net sets up at least a read-community for SNMP for use
# with dlink1g, nms and sosuch. This is the one:
our $snmp_community = "<removed>";

our $dlink1g_user = '<removed>';
our $dlink1g_passwd = '<removed>';

our $telegw_ip = "12.34.56.78";
our @telegw_wanlinks = ("gig1/1", "gig1/2");

our $tgname    = "tg11";

our $pri_a     = "ns1";
our $pri_ptr   = "188.0.126.2";
our $pri_v6    = "2a01:798:76a:126::2";
our $sec_a     = "ns2";
our $sec_ptr   = "188.0.125.2";
our $sec_v6    = "2a01:798:76a:125::2";

our $ext_xfer  = "193.0.0.0/22";
our $ext_ns    = "194.19.3.20";

# To generate new dnssec-key for ddns:
# dnssec-keygen -a HMAC-MD5 -b 128 -n HOST DHCP_UPDATER
our $ddns_key = "<removed>";
our $ddns_to  = "127.0.0.1";

our $noc_nett  = "188.0.124.0/24";
# Ikke i bruk i '11 til revers-soner.
#our $root_arpa = "22.89.in-addr.arpa";
#our $ipv6nett = "2001:8c0:9840::/48";

our $base_ipv4net = "188.0.0.0";
our $base_ipv4prefix = 17;

our $base_ipv6net = "2a01:798:76a:";
our $base_ipv6prefix = 48;
our $ipv6zone = "a.6.7.0.8.9.7.0.1.0.a.2.ip6.arpa";

our $pxe_server = "89.22.255.4";

our $top_of_clients = 86;

#130, 144, 145, 196, 197, 198, 199, 200, 203, 201, 206, 208, 209, 211, 213,
our @static_switches = (
	130,144,145,190,200,201,203,206,208,209,210,211,213,215,216,217,218,219,220,221,223,250,252
        );
our @static_nets = (
                  0, 212, 254, 255
        );


# The following is the list of routing netboxes (core, dist, tele, a.s.o)
our @distrobox_ips = (
	"89.22.253.0",
	"89.22.253.1",
	"89.22.253.2",
	"89.22.253.3",
	"89.22.253.4",
	"89.22.253.5",
	"89.22.253.6",
	"89.22.253.7",
	"89.22.253.8",
	"89.22.253.9"
);

# Forwarding zones.
our @forwarding_zones = qw( );

1;
