#!/bin/bash

while :; do
	date=$(date +"%Y-%m-%d-%H:%M:%S")
	lsof -n | grep vlc > /var/log/stream-count/$date
	for PORT in 3013 3014 3015 3016 5013 5015; do
		for PROTO in IPv4 IPv6; do
			cat /var/log/stream-count/$date | grep EST | egrep $PROTO | grep ":$PORT->" | cut -d'>' -f2 | sed 's/:[0-9]\+ (ESTABLISHED)//' | sort -u | grep -vEc -e "\[2a01:798:76a:|188\.0\." | while read foo; do echo "$date $PORT $PROTO external $foo"; done | tee -a count_datacube.log
			cat /var/log/stream-count/$date | grep EST | egrep $PROTO | grep ":$PORT->" | cut -d'>' -f2 | sed 's/:[0-9]\+ (ESTABLISHED)//' | sort -u | grep -Ec -e "\[2a01:798:76a:|188\.0\." | while read foo; do echo "$date $PORT $PROTO internal $foo"; done | tee -a count_datacube.log
		done
	done
	sleep 60
done;

