#!/bin/sh
# VLC for box connected to broadcast-equipment
# Blackmagic/Decklink: Audio from AESEBU, Video from SDI
# Transcodes both HD and SD and sends via UDP to reflector
# - Marius / Tech:Server
while :; do
cvlc -vv --decklink-audio-connection aesebu --decklink-caching 4000 --decklink-aspect-ratio 16:9 --decklink-mode hp50 --sout-x264-preset veryfast --sout-x264-tune film --no-sout-x264-interlaced --sout-x264-keyint 25 --sout-x264-lookahead 0 -v decklink:// vlc://quit \
--sout '#duplicate{dst="transcode{vcodec=h264,vb=2000,acodec=aac,ab=128,height=576,fps=50}:std{access=udp,mux=ts,dst=[2a01:798:76a:125::7]:4016}",dst="transcode{vcodec=h264,vb=8000,acodec=aac,ab=256}:std{access=udp,mux=ts,dst=[2a01:798:76a:125::7]:4015}"}'
        sleep 1
done
